Demo docs: examples are illustrative.
Referral API

Track a refund

POST
/events/refund

Reduces or reverses rewards that came from the original payment, according to your program rules.

Authorization

apiKey
headerAuthorizationBearer <token>

Use a secret key such as sk_test_... in test mode or sk_live_... in production.

Request Body

application/json
  1. body
payment_id*string
amount*integer

Refunded amount in the smallest currency unit.

Response Body

The refund was accepted for processing.

Example Request
curl -X POST 'https://api.referralapi.example/v1/events/refund' \  -H 'Content-Type: application/json' \  -d '{  "payment_id": "string",  "amount": 0}'
Example Response202
Empty